package com.pcloud.book.applet.mapper;

import com.pcloud.book.applet.entity.AppletUserLabelRelation;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface AppletUserLabelRelationMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AppletUserLabelRelation record);

    int insertSelective(AppletUserLabelRelation record);

    AppletUserLabelRelation selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AppletUserLabelRelation record);

    int updateByPrimaryKey(AppletUserLabelRelation record);

    void batchInsert(List<AppletUserLabelRelation> appletUserLabelRelations);

    void deleteByUserLabelId(Long UserLabelId);

    List<AppletUserLabelRelation> getByAppletUserLabelId(Long appletUserLabelId);
}